# jebug29's Screenshot Tool (scrshot)
## About
This is the screenshot program I've been writing for i3wm. I figured perhaps it could save somebody else a bit of time and frustration, so I'm making it available.

## Required/Recommended
* scrot
* copyq
* xclip

You do not need copyq for the program to work. However, you will not be able to copy images to the clipboard as PNGs otherwise. This is because xclip can't handle files beyond a certain size, so it's safer to default to a JPG with xclip if copyq isn't running. (This was a pain to figure out).

## Usage
Take a screenshot of the full screen:
`scrshot`

Take a screenshot of the active window:
`scrshot window`

Copy fullscreen to clipboard
`scrnshot copy`

Copy window to clipboard
`scrnshot window copy`

## Installation
You can copy the scrshot executable to anywhere in your path. For all users, `/usr/local/bin/`, or for just yourself `~/.local/bin/`. (Keep in mind that the .local/bin folder might not be in the path on all systems, but you can set this in your .profile).

Settings for i3wm are given in the next section.

## Config for i3wm
These are the configuration options that I use for i3wm
```
#Screenshot
bindsym $mod+Print exec "scrshot"
bindsym $mod+Shift+Print exec "scrshot window"
bindsym Print exec "scrshot copy"
bindsym Shift+Print exec "scrshot window copy"

exec --no-startup-id copyq
```

If you're like me and don't want the CopyQ icon in the system tray, use the following command:

`copyq config hide_main_window true disable_tray true`

This, of course, can be reverted by using:

`copyq config hide_main_window false disable_try false`

## Screenshot Directory
By default, screenshots are saved to `$HOME/screenshots/`. If you would prefer to change the screenshots directory, add the following line to your .profile or .bashrc:

`export screensdir=/path/to/dir`

Note that you may have to use $HOME in place of ~. ALSO! Do not add a trailing / to the directory name.
